<?php
$country_iso = Cubix_Application::getById()->iso;
$lng = Cubix_I18n::getLang();

?>

<? if ( ! $this->spy ): ?>
<div class="listing-icons">
	<div class="city-name fl">
		<?= __('escorts_in_city',array('CITY'=>ucfirst($this->city) ))?>
	</div>
	<?
	if ( $this->upcomingCount ):
	?>
	<a href="<?= $this->getLink('escorts', array('upcomingtours', 'city' => $country_iso . '_' . $this->city, 'filter' => null, 'page' => null) ) ?>" class="upcoming-icon-<?= $lng ?> <? if ( $this->is_upcomingtour && $this->is_tour )  { echo "active"; } ?> icon-head fr">
		<img src="/m/i/blank.gif" alt="" />
	</a>
	<?php  endif; ?>
	<?
	if ( $this->tourCount ):
	?>
	<a href="<?= $this->getLink('escorts', array('tours', 'city' => $country_iso . '_' . $this->city, 'filter' => null, 'page' => null) ) ?>" class="tous-icon-<?= $lng ?> icon-head <? if ( !$this->is_upcomingtour && $this->is_tour ) { echo "active";} ?> fr">
	<img src="/m/i/blank.gif" alt="escort tours <?= $this->city ?>" /></a>
	<?php endif; ?>
	<a href="<?= $this->getLink('escorts', array($type, 'city' => $country_iso . '_' . $this->city, 'filter' => null, 'page' => null) ) ?>" class="all-icon-<?= $lng ?> icon-head <? if ( !$this->is_upcomingtour && !$this->is_tour ) { echo "active";} ?> fr">
	<img src="/m/i/blank.gif" alt="escort <?= $this->city ?>" /></a>
	<div class="clear"></div>
</div>
<? endif; ?>

<?

if ( count($this->escorts) > 0 ):
foreach($this->escorts as $escort):

    $escort = new Model_EscortV2Item($escort);

//	if ( $escort->is_premium ){
//			echo $escort->showname ;
//		}

	$DEFINITIONS = Zend_Registry::get('defines');
?>
<div class="escort">
    <p class="showname"><?= $escort->showname ?></p>
	<div class="image">
    <a href="<?=$this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id ), true);?>"><img src="<?= $escort->getMainPhoto()->getUrl('m145') ?>" width="145" height="207" alt="" /></a>
<!--		<a href="<?=$this->getLink('profile', array('showname' => $escort->showname, 'escort_id' => $escort->id ), true);?>"><img src="http://pic4.6annonce.com/6annonce.com/29/267/af5e66f2b11f63ee3d2eeb1381809649_m95.jpg" width="95" height="129" alt="" /></a>-->
		<?php
	
		if ( $escort->is_diamond ){
		?>
		<span class="diamond_sticker"></span>
		<?php }elseif ( $escort->is_premium ) {?>
			<span class="premium_sticker"></span>
		<?php }?>
		
		
	</div>
  

	<div class="city">
       <?= $escort->city ?>
    </div>
    <div>
        <? $rate = ''; $rates = $escort->getRates(); ?>
					<? if ( array_key_exists(AVAILABLE_INCALL, $rates) ): ?>
						<? $rate = $rates[AVAILABLE_INCALL] ?>
					<? elseif ( array_key_exists(AVAILABLE_OUTCALL, $rates) ): ?>
						<? $rate = $rates[AVAILABLE_OUTCALL] ?>
					<? endif; ?>
                   <?
						$incall_rates = '';
						$outcall_rates = '';
						$one_h_incall_rate = array();
						$one_h_outcall_rate = array();
					?>
					
					<? $DEFINITIONS['currency_symbols'] = Model_Currencies::getAllAssoc(2); ?>
					<? if ( count($rates) > 0 ): ?>
						<? if ( isset($rates[AVAILABLE_INCALL]) ): ?>
							<? $incall_rates .= $this->t('incall_rates') . '::'; ?>
							<? foreach( $rates[AVAILABLE_INCALL] as $rate ): ?>

								<? if( $rate->time_unit == TIME_HOURS && $rate->time == 1 ): ?>
									<? $one_h_incall_rate = $rate; ?>
								<? endif; ?>

								<? $incall_rates .= "&lt;div&gt;{$rate->time} {$rate->time_unit_title} - {$rate->price} {$rate->currency_title}&lt;/div&gt;"; ?>
							<? endforeach; ?>
						<? endif; ?>
						<? if ( isset($rates[AVAILABLE_OUTCALL]) ): ?>
							<? $outcall_rates .= $this->t('outcall_rates') .'::'; ?>
							<? foreach( $rates[AVAILABLE_OUTCALL] as $rate ): ?>

								<? if( $rate->time_unit == TIME_HOURS && $rate->time == 1 ): ?>
									<? $one_h_outcall_rate = $rate; ?>
								<? endif; ?>

								<? $outcall_rates .= "&lt;div&gt;{$rate->time} {$rate->time_unit_title} - {$rate->price} {$rate->currency_title}&lt;/div&gt;"; ?>
							<? endforeach; ?>
						<? endif; ?>
					<? endif; ?>

					<? $rate_str = ''; ?>
					<? if ( isset($one_h_outcall_rate->time) ): ?>
                        
						<? $rate_str = $one_h_outcall_rate->time . 'h ' . $DEFINITIONS['currency_symbols'][$one_h_outcall_rate->currency_id] . ' ' . $one_h_outcall_rate->price; ?>
						<? //$rate_str = $one_h_outcall_rate->time . 'h ' . $currencies[$one_h_outcall_rate->currency_id] . ' ' . $one_h_outcall_rate->price; ?>
					<? endif; ?>
					<? if( isset($one_h_incall_rate->time) ): ?>
                        
						<? $rate_str = $one_h_incall_rate->time . 'h ' . $DEFINITIONS['currency_symbols'][$one_h_incall_rate->currency_id] . ' ' . $one_h_incall_rate->price; ?>
						<? //$rate_str = $one_h_incall_rate->time . 'h ' . $currencies[$one_h_incall_rate->currency_id] . ' ' . $one_h_incall_rate->price; ?>
					<? endif; ?>
					<? if ( strlen($rate_str) ): ?>
                        <?
                        if(isset($one_h_incall_rate->time)):
                        ?>
                        <span class="incall"></span>
                        <? elseif($one_h_outcall_rate->time): ?>
                        <span class="outcall"></span>
                        <? endif;?>
						<span class="price"><?= $rate_str ?></span>
					<? endif; ?>
					<div class="clear"></div>
    </div>
</div>
<? endforeach; ?>

<? else: ?>
	<? if ( ! count($this->premiums) && ! $this->spy ): ?>
	<h2 class="no-escort"><?= $this->t('no_escorts_found') ?></h2>
	<? endif; ?>
	
<? endif; ?>

<?
$config = Zend_Registry::get('mobile_config');
$config = $config['escorts'];

$pages_count = ceil($this->count / $config['perPage']);

$uri = $_SERVER['REQUEST_URI'];
$uri = preg_replace('#/[0-9]+$#', '', $uri);
$uri = preg_replace('#^en/#', '', $uri);

//$pos = strpos($uri, '&page=');
//if ($pos !== FALSE)
//	$uri = substr($uri, 0, $pos);

?>
<input type="hidden" value="<?= $this->page ?>" name="m_page" />
<input type="hidden" value="<?= $this->city ?>" name="m_city" />

<? /*
<? if( $pages_count != 1 ): ?>
<div class="paging-list">
	<? $pages = $this->paging($this->count, $this->page, $config['perPage'], 5, 2); ?>
	
	<? if ( $this->page > 1 ): ?>
		<a class="number" onclick="return Escorts.Load('<?= $this->getLink('escorts',array('city' => '_' . $this->city, 'page' => $this->page), true)?>' + '?ajax=1')" href="#"> <?= $this->t('previous_m') ?></a>
	<? endif ?>

	<? foreach ( $pages as $page ): ?>
		<? if ( $this->page == $page ): ?>
			<span class="active"><?= $page ?></span>
		<? else: ?>
			<a class="number" onclick="return Escorts.Load('<?= $this->getLink('escorts',array('city' => '_' . $this->city, 'page' => $page + 1), true)?>' + '?ajax=1')" href="#" ><?= $page ?></a>
		<? endif ?>
	<? endforeach ?>

	<? if ( $pages_count > $this->page): ?>
		<a class="number" onclick="return Escorts.Load('<?= $this->getLink('escorts',array('city' => '_' . $this->city, 'page' => $this->page + 2), true)?>' + '?ajax=1')" href="#"><?= $this->t('next') ?> </a>
	<? endif ?>
</div>
<? endif; ?>
*/ ?>


